|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QKbdDriverFactory Class Reference
[QtGui module]

The QKbdDriverFactory class creates keyboard drivers in Qtopia Core. More...

     #include <QKbdDriverFactory>

- List of all members, including inherited members

### Static Public Members

- QWSKeyboardHandler * create ( const QString & key, const QString & device )
- QStringList keys ()

## Detailed Description

The QKbdDriverFactory class creates keyboard drivers in Qtopia Core.

Note that this class is only available in Qtopia Core.

QKbdDriverFactory is used to detect and instantiate the available keyboard drivers, allowing Qtopia Core to load the preferred driver into the server application at runtime. The create() function returns a QWSKeyboardHandler object representing the keyboard driver identified by a given key. The valid keys (i.e. the supported drivers) can be retrieved using the keys() function.

Qtopia Core provides several built-in keyboard drivers. In addition, custom keyboard drivers can be added using Qt's plugin mechanism, i.e. by subclassing the QWSKeyboardHandler class and creating a keyboard driver plugin (QKbdDriverPlugin). See the character input documentation for details.

See also QWSKeyboardHandler and QKbdDriverPlugin.

## Member Function Documentation

### QWSKeyboardHandler * QKbdDriverFactory::create ( const QString & key, const QString & device ) `[static]`

Creates the keyboard driver specified by the given key, using the display specified by the given device.

Note that the keys are case-insensitive.

See also keys().

### QStringList QKbdDriverFactory::keys () `[static]`

Returns the list of valid keys, i.e. the available keyboard drivers.

See also create().